<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>弹性盒模型</title>
    <style>
        .block-wrap{
            display: flex;
            width: 200px;
        }
        .block-wrap .flex-item{
            flex:1;
        }
        .inline-wrap{
            display: inline-flex;
            width: 200px;
        }
        .inline-wrap .flex-item{
            flex:1;
        }
    </style>
</head>
<body>
    <span>块级弹性盒模型</span>
    <div class="block-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
    <span>行内弹性盒模型</span>
    <div class="inline-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
</body>
</html>